{#
/**
 * @file
 * Default theme implementation to webform confirmation.
 *
 * Available variables:
 * - progress: Progress bar.
 * - message: Confirmation message.
 * - back_url: URL to the previous webform submission.
 *
 * @see template_preprocess_webform_confirmation()
 *
 * @ingroup themeable
 */
#}
{{ attach_library('webform/webform.confirmation') }}

{% if progress %}
  {{ progress }}
{% endif %}

{% set content %}
  <div class="webform-confirmation__message">
    {{ message }}
  </div>
  {% if back %}
    <div class="webform-confirmation__back mt-3">
      <a href="{{ back_url }}" rel="prev"{{ back_attributes }}>{{ back_label }}</a>
    </div>
  {% endif %}
{% endset %}

<div{{ attributes.addClass('webform-confirmation') }}>
  {%
    include 'radix:alert' with {
      type: 'success',
      icon_classes: ['ico', drowl_theme_icons.check],
      dismissible: true,
      alert_utility_classes: ['mb-4'],
      content: content,
    }
  %}
</div>
